@charset "utf-8";

main {
    color: var(--font-black);
}
/*========= VISUAL ===============*/
.visual {
  background: url(../images/contactvisual.webp) center / cover;
}

.mainTxt {
    text-align: left;
    width: 50vw;
    margin: 10rem auto 2rem;
    font-size: clamp(1.4rem, 1.25vw, 1.8rem);
    line-height: 2;
}

/*****  VISUAL SP *****/

@media screen and (max-width: 768px){
    .visual {
        background: url(../images/contactvisual_sp.webp) center / cover;
    }

    .mainTxt {
        width: 85%;
        font-size: 1.2rem;
        margin: 0 auto;
        padding: 10% 0% 0%;
        text-align: left;
    }

} /* SP 768px */

/*========= FORM ===============*/
.form {
    margin: 80px auto 0;
    max-width: 720px;
}

.form__item {
    border-top: 1px solid rgba(var(--font-black-rgb), 0.1);
    padding: 24px 0;
    width: 100%;
    display: flex;
    align-items: center;
}

.form__label {
    width: 100%;
    max-width: 248px;
    letter-spacing: 0.05em;
    font-weight: 500;
    font-size: 1.8rem;
    line-height: 1;
}

.form__label.isMsg {
    margin: 8px 0 auto;
}

.form__required {
    border-radius: 6px;
    margin-left: 8px;
    padding: 8px 0;
    width: 48px;
    display: inline-block;
    text-align: center;
    background: var(--main-purple);
    color: var(--font-white);
    font-size: 1.4rem;
    line-height: 0.5;
}

.form__input {
    border: 1px solid rgba(var(--font-black-rgb), 0.2);
    border-radius: 6px;
    margin-left: 40px;
    height: 48px;
    flex: 1;
    width: 100%;
    max-width: 410px;
    background: rgba(var(--font-black-rgb), 0.05);
    font-size: 1.8rem;
    display: inline-flex;
}

input {
    width: 100%;
    padding: 0 1em;
}

.form__textarea {
    border: 1px solid rgba(var(--font-black-rgb), 0.2);
    border-radius: 6px;
    margin-left: 40px;
    height: 216px;
    flex: 1;
    width: 100%;
    max-width: 410px;
    background: rgba(var(--font-black-rgb), 0.05);
    font-size: 1.8rem;
}

textarea {
    width: 100%;
    height: 100%;
    padding: 1rem;
}

#toiawase {
    padding: 0;
    padding-left: 1rem;
}

.form__btn {
    text-align: center;
    border-radius: 6px;
    margin: 32px auto 0;
    padding: 24px 0;
    width: 400px;
    display: block;
    letter-spacing: 0.05em;
    background: var(--main-purple);
    color: var(--font-white);
    font-weight: bold;
    font-size: 2rem;
}

/*** select ***/
.select {
    display: inline-block;
    position: relative;
    border: 1px solid rgba(var(--font-black-rgb), 0.2);
    vertical-align: middle;
    border-radius: 6px;
}

.select select {
    appearance: none;
    max-width: 410px;
    min-width: 272px;
    padding: 11px 15px;
    cursor: pointer;
    font-size: 1.8rem;
}

.select::before {
    position: absolute;
    top: 28px;
    right: 16px;
    width: 0;
    height: 0;
    border-width: 10px 5px 0 5px;
    border-style: solid;
    border-color: var(--font-black) transparent transparent transparent;
    content: "";
    pointer-events: none;
}

.form__label--select {
    max-width: 288px;
}

.form__size {
    font-size: 1.4rem;
}

/* checkbox */
.agreebox {
    text-align: center;
}

.agreebox .agree_check {
    display: none;
}

.agreebox .txt {
    position: relative;
    padding-left: 2rem;
    font-size: clamp(1.3rem, 1.11vw, 1.6rem);
    text-align: center;
}

.agreebox .txt:before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    transform: translate(0, -50%);
    width: 18px;
    height: 18px;
    border-radius: 2px;
    border: 2px solid var(--main-purple);
}

.agreebox .txt:after {
    content: "";
    position: absolute;
    top: 3px;
    left: 6px;
    transform: rotate(45deg);
    width: 6px;
    height: 12px;
    border: 1px solid var(--font-white);
    border-width: 0 2px 2px 0;
}

.agreebox .agree_check:checked+.txt:before {
    background-color: var(--main-purple);
}

.agreebox a {
    color: var(--main-purple);
    text-decoration: underline;
    font-size: 1.8rem;
    font-size: clamp(1.6rem, 1.25vw, 1.8rem);
    font-weight: 800;
    padding: 0 0.5rem 0 1.5rem;
}

/*** form sp ***/
@media screen and (max-width: 768px) {
    .form {
        margin: 40px auto 0;
        width: 90%;
    }

    .form__input,
    .form__textarea {
        margin-left: 12px;
    }

    .form__label--select {
        max-width: 262px;
    }
} /*** form sp 768px***/

@media screen and (max-width: 580px) {
    .form {
      margin-top: 40px;
      max-width: 400px;
    }

    .form__item {
        padding: 16px 14px;
        flex-wrap: wrap;
    }

    .form__label {
        max-width: inherit;
        display: flex;
        align-items: center;
        font-size: 1.5rem;
    }

    .form__label.isMsg {
        margin-top: 0;
    }

    .form__required {
        border-radius: 4px;
        padding: 4px 0;
        width: 32px;
        font-size: 1rem;
    }

    .form__input {
        margin: 18px 0 0 0;
        height: 40px;
        flex: inherit;
        font-size: 1.5rem;
    }

    .select {
        margin: 18px 0 0 0;
    }

    .select select {
        font-size: 1.5rem;
    }

    .form__textarea {
        margin: 18px 0 0 0;
        height: 200px;
        flex: inherit;
        font-size: 1.5rem;
    }

    .form__btn {
        margin-top: 24px;
        padding: 16px 0;
        width: 240px;
        font-size: 1.6rem;
    }
} /*** form sp 580px***/